Software Solutions
Viewing 27 reply threads
  • Author
    Posts
    • #19534
      Craig SmithCraig Smith
      Participant

      Hi,

      Just wondering whether there are plans to support the latest LTS version? I’m currently using 16.04 which is due to retire and I’m always keen to get the most from ths LTS releases on the computers that live in my classroom so I’d like to jump over 18.04 if possible.

      Thanks.

    • #19538
      Wendy PrometheanWendy
      Moderator

      Hi Craig,

      Thank you for your post. We do have a development request open to support Ubuntu 20.04 LTS.

      I would be happy to add your request to it. Can you please confirm how many systems your school has that would use the new version? So I can add this for our records.

      Kind regards,

       

      Wendy

      Promethean Technical Support

      home

    • #29688
      David Hartleydavethemoviejunkie
      Participant

      Hi Wendy

      Could I please add my name to this request? I’ve unsuccessfully tried to get the Activdrivers from 18.04 working on 20.04, and have failed miserably. I am the sole Linux user in our school, but I would like to carry on using Ubuntu with the whiteboard if at all possible.

      Dave

    • #29690
      James PrometheanJames Promethean
      Moderator

      Hi Dave,

      Thanks for your post.

      We will gladly add your name to this request.

      Kind regards,

      James

      Promethean Technical Support

    • #30780
      Alexander GabilondoAlexander Gabilondo
      Participant

      HI:

      I’m technician of Basque Government’s Education Department. We have a many Promethean boards in hundreds schools. We have intention of migrating computers from Ubuntu 16.04 and 18.04 to Ubuntu 20.04 and we have driver indispensable to update to Ubuntu new LTS version. We have not been able to install that of 18.04 in 20.04 version.

      I stay waiting for your news.

      Thank you very much.

    • #30796
      Aize LaunaAize Launa
      Participant

      Hi,

      I have another case of school waiting for the update to support laptops recently migrated to Ubuntu 20.04 LTS. There is one Promothean device in this school.

    • #30805
      Craig PrometheanCraig Promethean
      Moderator

      Hello,

      We do not support Ubuntu 20.04 at the moment. I have added both posts to our enhancement request.

      Please keep an eye on the Community announcements.

      Thank you,

      Craig

    • #30845
      Thijs thijsThijs thijs
      Participant

      Hi,

      For my schools we have 12 387Pro boards. I’d like to know when there will be a version for Ubuntu 20.04 available. Is it possible to add the working kernel in the documentation?

      Thanks!

      Thijs

    • #30846
      cslvlgcslvlg
      Participant

      Hi,

      we are a school with currently 28 Promethean Activboards + Touchboards. We plan to purchase another 40 boards. It is important for us that promethean continues to actively support linux, as we only use Linux computers. So we are eagerly waiting for the support for the Ubuntu 20.04 version. Promethean software is always our reason to wait longer for the system update.

      Thank you,
      André

    • #30860
      Karen PrometheanKaren Promethean
      Moderator

      Hello,

      We have have added you both to our enhancement.

      Thank you,

      Karen

    • #31368
      Petros KyprianouPetros Kyprianou
      Participant

      We have 4 Activboards at our school and have migrated to Ubuntu 20.4 and have lost connection!

      Can you please let me know when you have a solution for 20.4 integration?

      • #31439
        Adam H PrometheanAdam H Promethean
        Senior Moderator

        Hi Petros,

        Ubuntu 20.4 is not currently supported by our ActivDriver or ActivInspire. We therefore cannot offer you any help. Our only advice at this moment would be to revert to a supported operating system as explained here – https://support.prometheanworld.com/activdriver-system-requirements

        I will add your post to the enhancement request we currently have open.

        Kind regards,
        Adam H

    • #31376
      Craig SmithCraig Smith
      Participant

      Activinspire releases are usually at least a year behind the current LTS and the last release had (what I would consider) crippling bugs from the initial release that STILL haven’t been fixed nearly two years later. I asked this question back in May and I’m not holding my breath for 20.04 before next May.

      • #31440
        Adam H PrometheanAdam H Promethean
        Senior Moderator

        Hi Craig,

        Thanks for your post. We are unable to provide a date for 20.4 support. Your post will of course be added to the open enhancement request. Regarding the bugs you mentioned, have these been reported to our team? If not, please contact our Support team via e-mail – https://support.prometheanworld.com/contact

        Kind regards,
        Adam H

    • #31396
      CInfTerraRojaCInfTerraRoja
      Participant

      Please, consider my school added to this list. We have de an study and we locate the problem into the change of the complements of the kernel from the packages image-extra to the image-modules and image-modules-extra. There are also a problem because the USB drivers are loaded on another phase of the boot process. I hope this can help.

    • #31462
      CInfTerraRojaCInfTerraRoja
      Participant

      Alexander, ¿podrías ponerte en contacto conmigo para comentar por dónde van los tiros en este problema con las pizarras?

      Gracias.

    • #31477
      Alexander GabilondoAlexander Gabilondo
      Participant

      Mi dirección es g02ikt(arroba)berritzeguneak.eus.

    • #31803
      Didier SEVERINDidier SEVERIN
      Participant

      Hello Everybody,

      I found a way to make ActivInspire, ActivDriver and ActivTools to perfectly work on Ubuntu 20.04 flavours (on every ActivBoards).

      1. Download my script here
      2. Open Terminal, head to the directory containing my script
      3. Type chmod +x installActivInspire.sh and then Enter
      4. Type sudo ./installActivInspire.sh
      5. That’s it !

      Regarding ActivInspire, I just compiled a deb package which relies on the latest packages (libncurses6, libssl 1.1, libicu67 and libcurl4). You’ll find it here. To install it :

      1. Download it
      2. Open Terminal, head to the directory containing the deb file
      3. Type sudo dpkg -i activinspire*.deb
      4. That’s it !

      🙂

    • #31804
      Craig SmithCraig Smith
      Participant

      That’s really helpful!

      I found that I had to edit the Deb file when I installed it on 18.04 because the libcurl3 dependency could not be satisfied alongside better maintained software (notably OBS) that used libcurl4.

      Did your extra packages fix the issue with printing by any chance?

    • #31947
      Alexander GabilondoAlexander Gabilondo
      Participant

      It doesn’t works for me in Linux Mint 20 Ulyana. The instalation gives me several errors.

      • #31948
        Adam H PrometheanAdam H Promethean
        Senior Moderator

        Hello Alexander,

        Thanks for your post. As you have probably read from this conversation, none of our software are yet supported on Ubuntu 20.04. Support for this is currently in development. Please be aware that we only officially support the official Ubuntu distribution of Linux, so we cannot guarantee that our software will work on Mint/Ulyana for example once released.

        Kind regards,
        Adam H

    • #31950
      Alexander GabilondoAlexander Gabilondo
      Participant

      OK. Linux Mint 20 is builted over Ubuntu 20.04, anyhow I’ll probe it in a pure Ubuntu 20.04. Thanks.

      • #31953
        Adam H PrometheanAdam H Promethean
        Senior Moderator

        Hi Alexander,

        It may be worth a try, but please be aware that Promethean doesn’t yet support any version of Ubuntu 20.04. so there is no guarantee that it will work. We will add your posts to the existing enhancement request we have internally.

        Kind regards,
        Adam H

    • #32014
      Didier SEVERINDidier SEVERIN
      Participant

      Hello,

      that’s strange. Can you paste the errors here please ?

      I’ll try to fix them in a new deb file 🙂

      Best regards,

      DS

    • #32180
      Craig PrometheanCraig Promethean
      Moderator

      Hello Didier,

      As the ActivDriver does not yet support 20.04 we do not have the files available.

      Please keep an eye on the announcements section.

      Thank you,

      Craig

      • #32190
        Didier SEVERINDidier SEVERIN
        Participant

        Hello Craig,

        thanks for your reply. As I asked in post #31176 i’d like to help build a usable version for 20.04. To do this could you send me the last activaid you built for 18.04 please ? (activaid_5.18.19-0~Ubuntu~1804_amd64.deb)

        I will create a fix in order for us to use activdriver + activinspire ASAP.

        Best Regards

      • #32200
        James PrometheanJames Promethean
        Moderator

        Hi Didier,

        Thanks for your post.

        Our Dev team have been able to supply us with this to help with your efforts.

        Please keep in mind that in the event of any issues occurring, as Ubuntu 20.04 is not yet supported, we are unable to provide further assistance at this time.

        Thanks

        James

         

    • #32205
      Didier SEVERINDidier SEVERIN
      Participant

      Hello,

      I’ve been able to update my script modding promethean’s debs. Now all seems to work fine on 20.04 and 20.10.

      I’ve uploaded everything to my google drive : https://drive.google.com/drive/folders/1rImDYEevRXhjVXD9ORMN67u32OVXmG_q?usp=sharing

      Just grab everything and put it in a folder, then execute installActivInspire.sh from a terminal.

      Enjoy 😉

    • #33082
      Karl PedingKarl Peding
      Participant

      I’d also highly appreciate a version of Active Inspire for Ubuntu 20.04.

      Maybe you could provide Didier with the needed library. So we could give it a shot with his workaround at least.

      Thank you so much!

    • #33090
      Karl PedingKarl Peding
      Participant

      Hi Didier,

      Many thanks. I will try.

      As I need to justify the use of a modified dataset, would you be able to point out what you have done in order to get it running?

      Thanks yuo so much.

      Happy EASTER!!

    • #33290
      Alexander GabilondoAlexander Gabilondo
      Participant

      I have tried Didiers installation and performed without apparent problems. I had little time to probe it but the board works (before installing the pointer was already moving but without calibration). When installation is finished, the calibration is automatic and the calibration tools appear on the top panel. Positioning and scrolling  work well. The contextual menu (similar to right-click) does not appear when you hold down. Active Inspire does not start (XOUNAL++ remedy). In LibreOffice sub-menus do not work (I think before either). Thank you very much, Didier.

    • #33474
      Dre OsunaDre Osuna
      Participant

      Project to install promethean drivers in Ubuntu based distros with kernel 5.x, so you can use in ubuntu 18, 20, Linux mint…all ready to install.

      https://github.com/aosucas499/activdre

       

       

       

    • #33476
      Craig SmithCraig Smith
      Participant

      This thread is officially one year old. We should get a cake.

      Any update from Promethean support? 11 months to go before the next lts release will render this wait futile.

      Has there been any progress with any of the comments raised in this discussion so far?

    • #33488

      Hello Craig,

      Thank you for your post.

      We understand this thread is one year old but, unfortunately, we don’t have any updates on when ActivInspire will be supported on Ubuntu 20.04 yet. Our product team are working on this and your request was passed on to the relevant team.

      Please, subscribe to the Announcements on this forum to be informed as soon as new updates are added.

      Thank you for your patience.

      Kind regards,

      Arianna

      Promethean Technical Support

    • #32118
      Alexander GabilondoAlexander Gabilondo
      Participant

      Hi, Didier. Here you are messages in terminal:

       

      adminpremialocal@usk047858:~/Dokumentuak$ sudo ./InstallActivInspire.sh

      [sudo] adminpremialocal(r)en pasahitza:

      deb [arch=amd64] http://activsoftware.co.uk/linux/repos/ubuntu bionic non-oss

      deb http://activsoftware.co.uk/linux/repos/driver/ubuntu bionic oss non-oss

      –2021-01-11 19:54:26– http://activsoftware.co.uk/linux/repos/driver/PrometheanLtd.asc

      activsoftware.co.uk (activsoftware.co.uk) ebazten… 54.192.105.18, 54.192.105.97, 54.192.105.51, …

      Konektatzen: activsoftware.co.uk (activsoftware.co.uk)|54.192.105.18|:80… konektatua.

      HTTP eskaera bidalia, erantzunaren zain… 200 OK

      Luzera: 3118 (3,0K) [text/plain]

      Hemen gordetzen: `PrometheanLtd.asc’

       

      PrometheanLtd.asc 100%[===================>] 3,04K –.-KB/s in 0s

       

      2021-01-11 19:54:29 (117 MB/s) – `PrometheanLtd.asc’ saved [3118/3118]

       

      OK

      –2021-01-11 19:54:29– http://security.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5.4_amd64.deb

      security.ubuntu.com (security.ubuntu.com) ebazten… 91.189.88.152, 91.189.91.38, 91.189.88.142, …

      Konektatzen: security.ubuntu.com (security.ubuntu.com)|91.189.88.152|:80… konektatua.

      HTTP eskaera bidalia, erantzunaren zain… 404 Not Found

      2021-01-11 19:54:30 ERROREA 404 Not Found.

       

      dpkg: errorea: cannot access archive ‘libssl1.0.0_1.0.2n-1ubuntu5.4_amd64.deb’: No such file or directory

      Ondorengo PPA gehitzera zoaz:

      PPA contains libcurl4 package, which supports both libcurl3 and libcurl4 API.

      Build sources: https://github.com/xapienz/curl-debian-scripts

      Info gehiago: https://launchpad.net/~xapienz/+archive/ubuntu/curl34

      Executing: /tmp/apt-key-gpghome.SM4FgTdECx/gpg.1.sh –keyserver hkps://keyserver.ubuntu.com:443 –recv-keys DA61894862629CFE361D0C2FD1DAC98AF575D16E

      gpg: key D1DAC98AF575D16E: “Launchpad PPA for xapienz” not changed

      gpg: Total number processed: 1

      gpg: unchanged: 1

      Atzituta:1 http://activsoftware.co.uk/linux/repos/ubuntu bionic InRelease

      Atzituta:2 http://ppa.launchpad.net/andreasbutti/xournalpp-master/ubuntu focal InRelease

      Atzituta:3 http://archive.ubuntu.com/ubuntu focal InRelease

      Atzituta:4 http://archive.canonical.com/ubuntu focal InRelease

      Atzituta:5 http://archive.ubuntu.com/ubuntu focal-updates InRelease

      Atzituta:6 http://security.ubuntu.com/ubuntu focal-security InRelease

      Ez ikusi:7 http://packages.linuxmint.com ulyana InRelease

      Atzituta:8 http://activsoftware.co.uk/linux/repos/driver/ubuntu bionic InRelease

      Atzituta:9 http://archive.ubuntu.com/ubuntu focal-backports InRelease

      Atzituta:10 http://ppa.launchpad.net/apandada1/foliate/ubuntu focal InRelease

      Atzituta:11 http://packages.linuxmint.com ulyana Release

      Atzituta:12 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu focal InRelease

      Atzituta:13 http://ppa.launchpad.net/kdenlive/kdenlive-stable/ubuntu focal InRelease

      Atzituta:14 http://ppa.launchpad.net/ubuntuhandbook1/apps/ubuntu focal InRelease

      Atzituta:15 http://ppa.launchpad.net/xapienz/curl34/ubuntu focal InRelease

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      All packages are up to date.

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      curl is already the newest version (7.68.0-1ubuntu2.4ppa1).

      0 bertsio berritua(k), 0 berriki instalatuta, 0 kentzeko, eta 0 bertsio-berritu gabe.

      –2021-01-11 19:54:38– http://security.ubuntu.com/ubuntu/pool/main/i/icu/libicu60_60.2-3ubuntu3.1_amd64.deb

      security.ubuntu.com (security.ubuntu.com) ebazten… 91.189.91.39, 91.189.88.142, 91.189.91.38, …

      Konektatzen: security.ubuntu.com (security.ubuntu.com)|91.189.91.39|:80… konektatua.

      HTTP eskaera bidalia, erantzunaren zain… 200 OK

      Luzera: 8053676 (7,7M) [application/x-debian-package]

      Hemen gordetzen: `libicu60_60.2-3ubuntu3.1_amd64.deb’

       

      libicu60_60.2-3ubun 100%[===================>] 7,68M 3,50MB/s in 2,2s

       

      2021-01-11 19:54:41 (3,50 MB/s) – `libicu60_60.2-3ubuntu3.1_amd64.deb’ saved [8053676/8053676]

       

      (Datu-basea irakurtzen … 444915 fitxategi edo direktorio daude unean instalatuta).

      libicu60_60.2-3ubuntu3.1_amd64.deb deskonprimitzeko prestatzen…

      libicu60:amd64 (60.2-3ubuntu3.1) deskonprimitzen (60.2-3ubuntu3.1) gainean…

      libicu60:amd64 (60.2-3ubuntu3.1) konfiguratzen…

      libc-bin (2.31-0ubuntu9.1)-(r)en abiarazleak prozesatzen …

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      gsettings-ubuntu-schemas is already the newest version (0.0.7+17.10.20170922-0ubuntu1).

      0 bertsio berritua(k), 0 berriki instalatuta, 0 kentzeko, eta 0 bertsio-berritu gabe.

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      Pakete batzuk ezin izan dira instalatu. Beharbada ezinezko egoera (some packages can’t be instaled)

      bat eskatu duzu, edo, banaketa ezegonkorra erabiltzen ari bazara,

      beharrezko pakete batzuk ez ziren sortuko oraindik, edo

      Sarrerakoetan (Incoming) egoten jarraituko dute.

      Informazio honek arazoa konpontzen lagun dezake:

       

      Ondorengo paketeetan bete gabeko mendekotasunak daude:

      activtools : Mendekotasuna:: libssl1.0.0 baina ez da instalagarria

      E: Ezin dira arazoak konpondu; hautsitako paketeak atxiki dituzu. (The following packages contain unfulfilled dependencies:

      activtools: Dependency :: libssl1.0.0 but not installable
      E: Problems cannot be solved; you have retained broken packages.)
      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      activ-meta-fr is already the newest version (2.0.0-73).

      0 bertsio berritua(k), 0 berriki instalatuta, 0 kentzeko, eta 0 bertsio-berritu gabe.

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      0 bertsio berritua(k), 0 berriki instalatuta, 0 kentzeko, eta 0 bertsio-berritu gabe.

      Pakete Zerrenda irakurtzen… Eginda

      Dependentzia zuhaitza eraikitzen

      Egoera argibideak irakurtzen… Eginda

      0 bertsio berritua(k), 0 berriki instalatuta, 0 kentzeko, eta 0 bertsio-berritu gabe.

      ./InstallActivInspire.sh: 38: [5: not found

      Compilation des drivers

      ./InstallActivInspire.sh: 43: cd: can’t cd to /usr/src/promethean/kernel/

      ./InstallActivInspire.sh: 44: ./b: not found

      adminpremialocal@usk047858:~/Dokumentuak$

       

      There is a list of installed packages via dpkg -l command:

      installed packages

      I have tried instalation on Linux Mint 20.0 Ulyana and Ubuntu 20.04. The messages are the same on boht systems.

      Alex

    • #32176
      Didier SEVERINDidier SEVERIN
      Participant

      Hi, thanks for replying.

      libssl1.0.0 is not available anymore. On 20.04, we can install the new version with sudo apt install libssl-dev -y

      Nevertheless, there are still errors due to the fact that activaid is not reachable anymore 🙁

      @Promethean devs : may I ask you the last activaid deb file please ? That way I might be able to include all dependencies and make activinspire & activdriver steady again ? Thanks.

       

    • #33088
      Didier SEVERINDidier SEVERIN
      Participant

      Hello,

      I’ve been able to mod promethean’s debs in order to make everything work as expected…

      I’ve uploaded everything to my google drive : https://drive.google.com/drive/folders/1rImDYEevRXhjVXD9ORMN67u32OVXmG_q?usp=sharing

      Just grab everything and put it in a folder, then execute installActivInspire.sh in sudo mode from a terminal.

      The first launch of ActivInspire will have to be in sudo mode in order to register your serial.

      Best REgards

Viewing 27 reply threads
  • You must be logged in to reply to this topic.